[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# SecondOf

Extract the second part from a TDateTime value.

## Declaration

Source position: dateutil.inc line 140

`function SecondOf(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Date/time value to extract second from.

## Function result

Second part of AValue.

## Description

SecondOf returns the second of the minute part of the AValue date/time indication. It is a number between 0 and 59.

For an example, see YearOf

## See also

YearOf |  | Extract the year from a given date.
WeekOf |  | Extract week (of the year) from a given date.
MonthOf |  | Extract the month from a given date.
DayOf |  | Extract the day (of month) part from a TDateTime value
HourOf |  | Extract the hour part from a TDateTime value.
MinuteOf |  | Extract the minute part from a TDateTime value.
MilliSecondOf |  | Extract the millisecond part from a TDateTime value.